Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	local network service discovery system
Name:		avahi
Version:	0.6.25
Release:	3
Epoch:		1
BuildArch:	i686
License:	GNU/LGPL
URL:		http://avahi.org/
Group:		Networking/Library

# Sources
Source0:	%{name}-%{version}.tar.gz
Source200:	%{name}-daemon
Source201:	%{name}-dnsconfd

BuildRoot: 	%{_tmppath}/%{name}-buildroot

Requires(pre): /sbin/chkconfig
Requires(pre): /sbin/service

%define avahi_user_uid  108
%define avahi_group_gid 108
%define with_qt3 0
%define PYVER 2.6

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gdbm-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: gtk-sharp-devel
BuildRequires: libcap-devel
BuildRequires: libdaemon-devel
BuildRequires: libgcc
BuildRequires: libglade-devel
BuildRequires: libICE-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: mono-core-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: python26-devel
BuildRequires: qt4-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel intltool python26-pygtk-devel dbus-python26-devel

%if %{with_qt3}
BuildRequires: qt3-devel
%endif

%description
Avahi is a system which facilitates service discovery on a local network.
This means that you can plug your laptop or computer into a network and instantly
be able to view other people who you can chat with, find printers to print to or
find files being shared. This kind of technology is already found in
Apple MacOS X (branded Rendezvous, Bonjour and sometimes Zeroconf) and is very
convenient. Avahi is mainly based on Lennart Poettering's flexmdns mDNS
implementation for Linux which has been discontinued in favour of Avahi.

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Provides:	libdns_sd.so

%description	devel
Header and include files for developing applications with %{name}.

%if %{with_qt3}
%package	bindings-qt3
Summary:	%{name} bindings for qt3
Group:		%{group}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	bindings-qt3
Header and library files for developing applications with %{name} and qt3.
%endif

%package	bindings-qt4
Summary:	%{name} bindings for qt4
Group:		%{group}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	bindings-qt4
Header and library files for developing applications with %{name} and qt4.

%package	bindings-mono
Summary:	%{name} bindings for mono
Group:		%{group}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	bindings-mono
Header and library files for developing applications with %{name} and mono.

%package	gobject
Summary:	GObject wrapper library for Avahi
Group:		%{group}
Requires:	glib2
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	gobject
This library contains a GObject wrapper for the Avahi API

%package	dnsconfd
Summary:	Configure local unicast DNS settings based on information published in mDNS
Group:		%{group}
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	dnsconfd
avahi-dnsconfd connects to a running avahi-daemon and runs the script
/etc/avahi/dnsconfd.action for each unicast DNS server that is announced on the
local LAN. This is useful for configuring unicast DNS servers in a DHCP-like
fashion with mDNS.

%pre
# Add the "avahi" group
/usr/sbin/groupadd -g %{avahi_group_gid} avahi 2> /dev/null || :
# Add the "avahi" user
/usr/sbin/useradd -c 'AVAHI discovery system' -g avahi -u %{avahi_user_uid} -s /sbin/nologin -d '/' avahi 2> /dev/null || :

%post
ldconfig
# Run avahi-daemon by default:
/sbin/chkconfig --add avahi-daemon >/dev/null 2>&1 || :;

%postun
ldconfig
# restartin services
/sbin/service avahi-daemon restart >/dev/null 2>&1

%preun
# stopping services and remove them
/sbin/service avahi-daemon stop > /dev/null 2>&1
/sbin/chkconfig --del avahi-daemon

%post dnsconfd
# avahi-dnsconfd NOT run by default in any runlevel; add it
# so system-config-services can see it
/sbin/chkconfig --add avahi-dnsconfd >/dev/null 2>&1 || :

%preun dnsconfd
if [ "$1" -eq 0 ]; then
    /sbin/service avahi-dnsconfd stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del avahi-dnsconfd
fi

%postun dnsconfd
if [ "$1" -ge "1" ]; then
   /sbin/service avahi-dnsconfd condrestart >/dev/null 2>&1 || :
fi

%prep
%setup -n %{name}-%{version}

%build
%configure \
--with-distro=none \
--disable-monodoc \
--enable-compat-libdns_sd \
--with-avahi-user=%{name} \
--with-avahi-group=%{name} \
--with-avahi-priv-access-group=%{name} \
--disable-qt3 \
PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT

# initscripts
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d
cp %{SOURCE200} %{SOURCE201} $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d

# Make /etc/avahi/etc/localtime owned by avahi:
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/%{name}/etc
touch $RPM_BUILD_ROOT%_sysconfdir/%{name}/etc/localtime

%files
%defattr(-,root,root)
%_sysconfdir/avahi/etc
%_sysconfdir/avahi/services
%_sysconfdir/avahi/avahi-autoipd.action
%_sysconfdir/avahi/avahi-daemon.conf
%_sysconfdir/avahi/hosts
%_sysconfdir/dbus-1
%_sysconfdir/rc.d/init.d/avahi-daemon
%_bindir/avahi-bookmarks
%_bindir/avahi-browse
%_bindir/avahi-browse-domains
%_bindir/avahi-discover
%_bindir/avahi-discover-standalone
%_bindir/avahi-publish
%_bindir/avahi-publish-address
%_bindir/avahi-publish-service
%_bindir/avahi-resolve
%_bindir/avahi-resolve-address
%_bindir/avahi-resolve-host-name
%_bindir/avahi-set-host-name
%_bindir/bssh
%_bindir/bshell
%_bindir/bvnc
%_libdir/%{name}/service-types.db
%_libdir/libavahi-client.so.*
%_libdir/libavahi-common.so.*
%_libdir/libavahi-core.so.*
%_libdir/libavahi-glib.so.*
%_libdir/libavahi-ui.so.*
%_libdir/libdns_sd.so.*
%_libdir/python%{PYVER}
%_sbindir/%{name}-autoipd
%_sbindir/%{name}-daemon
%_applications
%_datadir/%{name}/avahi-service.dtd
%_datadir/%{name}/interfaces
%_datadir/%{name}/introspection
%_datadir/%{name}/service-types
%_locale
%_mandir/man1
%_mandir/man5
%_mandir/man8/avahi-daemon.*
%_mandir/man8/avahi-autoipd.8.*
%_mandir/man8/avahi-autoipd.action.8.*

%files devel
%defattr(-,root,root)
%_includedir/avahi-client
%_includedir/avahi-common
%_includedir/avahi-compat-libdns_sd
%_includedir/avahi-core
%_includedir/avahi-glib

%if %{with_qt3}
%_includedir/avahi-qt3
%endif

%_includedir/avahi-ui
%_libdir/libavahi-client.a
%_libdir/libavahi-client.la
%_libdir/libavahi-client.so
%_libdir/libavahi-common.a
%_libdir/libavahi-common.la
%_libdir/libavahi-common.so
%_libdir/libavahi-core.a
%_libdir/libavahi-core.la
%_libdir/libavahi-core.so
%_libdir/libavahi-glib.a
%_libdir/libavahi-glib.la
%_libdir/libavahi-glib.so
%_libdir/libavahi-ui.a
%_libdir/libavahi-ui.la
%_libdir/libavahi-ui.so
%_libdir/libdns_sd.a
%_libdir/libdns_sd.la
%_libdir/libdns_sd.so
%_pkgconfig/avahi-client.pc
%_pkgconfig/avahi-compat-libdns_sd.pc
%_pkgconfig/avahi-core.pc
%_pkgconfig/avahi-glib.pc

%if %{with_qt3}
%_pkgconfig/avahi-qt3.pc
%endif

%_pkgconfig/avahi-qt4.pc
%_pkgconfig/avahi-sharp.pc
%_pkgconfig/avahi-ui-sharp.pc
%_pkgconfig/avahi-ui.pc
%_pkgconfig/avahi-gobject.pc

%if %{with_qt3}
%files bindings-qt3
%defattr(-,root,root)
%_includedir/avahi-qt3
%_libdir/libavahi-qt3.a
%_libdir/libavahi-qt3.la
%_libdir/libavahi-qt3.so
%_libdir/libavahi-qt3.so.*
%endif

%files bindings-qt4
%defattr(-,root,root)
%_includedir/avahi-qt4
%_libdir/libavahi-qt4.a
%_libdir/libavahi-qt4.la
%_libdir/libavahi-qt4.so
%_libdir/libavahi-qt4.so.*

%files bindings-mono
%defattr(-,root,root)
%_libdir/mono/avahi-sharp
%_libdir/mono/avahi-ui-sharp
%_libdir/mono/gac/avahi-sharp
%_libdir/mono/gac/avahi-ui-sharp

%files gobject
%defattr(-,root,root)
%_includedir/avahi-gobject
%_libdir/libavahi-gobject.a
%_libdir/libavahi-gobject.la
%_libdir/libavahi-gobject.so
%_libdir/libavahi-gobject.so.*

%files dnsconfd
%defattr(-,root,root,-)
%_sysconfdir/rc.d/init.d/avahi-dnsconfd
%config(noreplace) %_sysconfdir/avahi/avahi-dnsconfd.action
%_sbindir/avahi-dnsconfd
%_mandir/man8/avahi-dnsconfd.*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Sep 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:0.6.25-3
- rebuilt
- avahi >= 0.6.26 depends on newer glibc, so no update atm
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.6.25-2
- python 2.6
* Thu Apr 30 2009 Christian Wasem <wasem@ccux-linux.de> 1:0.6.25-1
- Version update, build with explicit /usr/bin/python2.5
- build without qt3-bindings
* Fri Apr 03 2009 Christian Metzen <metzench@ccux-linux.de> 1:0.6.24-4
- rebuild against mono 2.4
* Wed Jan 07 2009 Christian Wasem <wasem@ccux-linux.de> 1:0.6.24-3
- fixed dnsconf again
* Tue Jan 06 2009 Christian Wasem <wasem@ccux-linux.de> 1:0.6.24-2
- fixed dnsconf uninstall scriplet
* Tue Jan 06 2009 Christian Wasem <wasem@ccux-linux.de> 1:0.6.24-1
- Version update, added subpackage dnsconfd
* Thu Jul 10 2008 Christian Wasem <wasem@ccux-linux.de> 1:0.6.23-2
- tweaked specfile
* Mon Jul 07 2008 Christian Wasem <wasem@ccux-linux.de> 1:0.6.23-1
- Version update, tweaked initscripts, added gobject subpackage
* Mon Dec 03 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.6.20-4
- rebuild against mono 1.2.5.2
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 1:0.6.20-3
- rebuild against latest libdaemon, fixes the startup problems
* Sun Jul 29 2007 Christian Wasem <wasem@ccux-linux.de> 1:0.6.20-2
- rebuild, correct write error in avahi-daemon initscript
* Fri Jul 27 2007 Christian Wasem <wasem@ccux-linux.de> 1:0.6.20-1
- Version Update
- added initscripts (avahi-daemon & avahi-dnsconfd)
* Fri Jul 27 2007 Christian Wasem <wasem@ccux-linux.de> 1:0.6.17-3
- added localstatdir to configure options
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:0.6.17-2
- rebuilt against dbus 1.0.2, dbus-python 0.80.1
* Tue Feb 06 2007 Simon Schmeisser <wrt@ccux-linux.de> 1:0.6.17-1
- Version update, moved qt3 dependant files into seperate package
* Sat Feb 03 2007 Simon Schmeisser <wrt@ccux-linux.de> 1:0.6.16-2
- Moved all qt4 dependant files into seperate package
- Added mono bindings in a seperate package
* Fri Feb 02 2007 Simon Schmeisser <wrt@ccux-linux.de> 1:0.6.16-1
- Version update
- enabled qt4 bindings
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 1:0.6.14-1
- Version update
- built against dbus 0.93
* Sun Sep 24 2006 Christian Metzen <metzench@ccux-linux.de> 1:0.6.11-2
- added epoch, downgrade, corrected pre scripts (wrong username)
* Thu Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.14-1
- Version update
- built against python 2.5
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.11-1
- Version update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.6.9-1
- Initial Release
